<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.linkdialy.mobile.kuyicloud">

    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />

    <uses-feature android:name="android.hardware.camera" />
    <!--相机权限-->
    <uses-permission android:name="android.permission.CAMERA" />
    <!--写入SD卡的权限：如果你希望保存相机拍照后的照片-->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!--读取SD卡的权限:打开相册选取图片所必须的权限-->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /> <!-- 精确定位权限，允许一个程序访问精确位置(GPS定位) -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />


    <application
        android:name="com.linkdialy.mobile.kuyicloud.App"
        android:allowBackup="true"
        android:icon="@mipmap/icon"
        android:persistent="true"
        android:usesCleartextTraffic="true"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        >
        <activity android:name="com.linkdialy.mobile.kuyicloud.SplashActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name="com.linkdialy.mobile.kuyicloud.SystemWebViewActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            ></activity>

        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" /> <!-- 文件预览需要设置FileProvider，以及xml资源文件 -->
        <provider
            android:name="com.tencent.smtt.utils.FileProvider"
            android:authorities="com.tencent.tbs.demo.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/x5webview_file_paths" />
        </provider>
    </application>

</manifest>